Subject: RE: W bit

From: [email-masked] (Billy Ng)
Date: Wed, 13 Oct 1999 23:09:35 -0400

> From [email-masked] Wed Oct 13 16:40:36 1999
> 
> > >   My understanding is that this could potentially result in 
> > a vicious circle
> > > 
> > >   of prune overriding messages.
> > > 
> > 
> > Agree for a shared LAN, but even a (S1,G)RPT join is not going to help
> > since it has the same effect as a (*,G) join that does not include
> > the (S1,G)RPT prune.  The upstream router will see a prune then a join
> > to override the prune in either case.
> 
>   Well, <S1, G>RPTjoin will only join S1. Any S3, which has been pruned by
>   all downstream routers, will not get joined by it. Whereas a <*, G> join 
>   will result in joining not just <S1, G> but also <S3, G>. 
> 
>   - Ravi Shekhar. 
> 

As rusty pointed out, igmpv3 could use (S,G)RPT join for example.  I was
merely pointing out that with the current usage of PIM-SM, there is always
a (*,G) on all RP tree, but yes, if only (S,G)RPT join exist without (*,G),
then you have made your point.

Thanks,

--Billy

> 
> > >   Consider two routers: R1 with <*, G>join<S1, G>prune and R2 with
> > >   <*, G>join<S2, G>prune state. 
> > > 
> > >   Lets say R1 sends <*, G>join<S1, G>prune to override some prune.
> > >   Now in order to override R1's <S1, G>prune, R2 will send 
> > <*, G>join<S2,
> > > G>prune. 
> > >   And then to override R2's <S2, G>prune, R1 will again 
> > send <*, G>join<S1,
> > > G>prune
> > >   ..... and so on....
> > > 
> > >   One can do tricks with set-intersection of S's but if you 
> > increase the
> > >   number of routers on the LAN, even that will end up 
> > generating quite a few
> > >   number of messages in the worst case.
> > > 
> > >   - Ravi Shekhar.
> > > 
> > 
>